// Gmsh project created on Mon Jan 22 11:37:17 2024
SetFactory("OpenCASCADE");
//+
Point(1) = {0, 0, 0, 1.0};
//+
Point(2) = {1, 0, 0, 1.0};
//+
Point(3) = {1, 1, 0, 1.0};
//+
Point(4) = {0, 1, 0, 1.0};
//+
Line(1) = {1, 2};
//+
Line(2) = {2, 3};
//+
Line(3) = {3, 4};
//+
Line(4) = {4, 1};
//+
Curve Loop(1) = {1, 2, 3, 4};
//+
Plane Surface(1) = {1};
//+
Physical Surface("surface", 5) = {1};
//+
Physical Curve("bottom", 6) = {1};
//+
Physical Curve("right", 7) = {2};
//+
Physical Curve("top", 8) = {3};
//+
Physical Curve("left", 9) = {4};
//+
Physical Curve("upperleftcorner", 10) = {3, 4};
//+
Physical Curve("lowerrightcorner", 11) = {1, 2};
//+
Transfinite Curve {1, 2, 3} = 1 Using Progression 1;
